aboutsummaryrefslogtreecommitdiffhomepage
path: root/dev
diff options
context:
space:
mode:
Diffstat (limited to 'dev')
-rwxr-xr-xdev/ci/ci-pipe-tee.sh8
-rwxr-xr-xdev/ci/ci-wrapper.sh17
2 files changed, 17 insertions, 8 deletions
diff --git a/dev/ci/ci-pipe-tee.sh b/dev/ci/ci-pipe-tee.sh
deleted file mode 100755
index 7b1ccddf2..000000000
--- a/dev/ci/ci-pipe-tee.sh
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/usr/bin/env bash
-
-# Use this script to preserve the exit code of $1 when piping it to
-# `tee $2`. We have a separate script, because this only works in
-# bash, which we don't require project-wide.
-
-"$1" 2>&1 | tee "$2"
-exit ${PIPESTATUS[0]}
diff --git a/dev/ci/ci-wrapper.sh b/dev/ci/ci-wrapper.sh
new file mode 100755
index 000000000..63bff6778
--- /dev/null
+++ b/dev/ci/ci-wrapper.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+# Use this script to preserve the exit code of $CI_SCRIPT when piping
+# it to `tee time-of-build.log`. We have a separate script, because
+# this only works in bash, which we don't require project-wide.
+
+set -eo pipefail
+
+CI_SCRIPT="$1"
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+# assume this script is in dev/ci/, cd to the root Coq directory
+cd "${DIR}/../.."
+
+"${DIR}/${CI_SCRIPT}" 2>&1 | tee time-of-build.log
+echo 'Aggregating timing log...' && echo -en 'travis_fold:start:coq.test.timing\\r'
+python ./tools/make-one-time-file.py time-of-build.log
+echo -en 'travis_fold:end:coq.test.timing\\r'